//---------------------------------------------------------------------------

#include <vcl.h>
#include <string>
#include <iostream>
#include <algorithm>
#include <cctype>

#include <conio.h>   //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main (int argc, char* argv[])
{
  //  
  string s("The zip code of Hondelage in Germany is 38108");
  cout << ToRus(" :\n") << s << endl;

  //      
  transform (s.begin(), s.end(),    // 
             s.begin(),             // 
             tolower);              // 
  cout << ToRus(",    :\n");
  cout << s << endl;

  //      
  transform (s.begin(), s.end(),    // 
             s.begin(),             // 
             toupper);              // 
  cout << ToRus(",    :\n");
  cout << s << endl;


  getch();
  return 0;
}

//---------------------------------------------------------------------------